### Method

# Fwupd Device set_battery_threshold

since: 1.8.1

#### Declaration [src]

    void
    fwupd_device_set_battery_threshold (
      FwupdDevice* self,
      guint32 battery_threshold
    )

#### Description [src]

Sets the battery level, or `FWUPD_BATTERY_LEVEL_INVALID` for the default.

Setting this allows fwupd to show a warning if the device change is too low to perform the update.

Available since: 1.8.1

Sets property | `Fwupd.Device:battery-threshold`

#### Parameters

`battery_threshold`

  Type: `guint32`

  The percentage value.